//////////////////////////////////////////////////////////////////////////////
//
// @descr    Common typedefs, enums & helper classes
//
// @short    Common typedefs, enums & helper classes
//
// @author   Jim Carole 
//
// @end
//
//////////////////////////////////////////////////////////////////////////////
#ifndef __NL_TYPE_H__
#define __NL_TYPE_H__

///////////////////////////////////////////////////////////////////////////////
//
// Compiler & Linker Directives
//
///////////////////////////////////////////////////////////////////////////////
#pragma once

//////////////////////////////////////////////////////////////////////////////
//
// Include Files
//
//////////////////////////////////////////////////////////////////////////////

// From 

// Local

//////////////////////////////////////////////////////////////////////////////
//
// Forward Declarations
//
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
//
// Definitions
//
//////////////////////////////////////////////////////////////////////////////
namespace NnlType
{
  //1 Constants
  const CString STR_NULL = _T( "" );
  const CString STR_NEWLINE = _T( "\n" );

  //1 Enumerations
  enum EnlHandleType
  {
    HANDLE_TYPE_UNKNOWN,
    HANDLE_TYPE_NETWORK,
    HANDLE_TYPE_END_MACHINE,
    HANDLE_TYPE_ROUTER
  };

}

#endif

